## org.apache.commons.collections.functors
Class NOPTransformer

    java.lang.Object
      org.apache.commons.collections.functors.NOPTransformer

All Implemented Interfaces:
  Serializable, Transformer

public class NOPTransformer
extends Object
implements Transformer, Serializable

Transformer implementation that does nothing.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.6 $ $Date: 2004/05/16 11:36:31 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary
`static Transformer` `INSTANCE` Singleton predicate instance

Method Summary
`static Transformer` `getInstance()` Factory returning the singleton instance.
`Object` `transform(Object input)` Transforms the input to result by doing nothing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final Transformer INSTANCE

  Singleton predicate instance

Method Detail

### getInstance

    public static Transformer getInstance()

  Factory returning the singleton instance.

  Returns:
    the singleton instance
  Since:
    Commons Collections 3.1

### transform

    public Object transform(Object input)

  Transforms the input to result by doing nothing.

  Specified by:
    `transform` in interface `Transformer`
  Parameters:
    `input` - the input object to transform
  Returns:
    the transformed result which is the input

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.